KDE 4.9 PyKDE API Reference

- KDE's Python API

# GeoDataAbstractView Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

See also:
  GeoDataLookAt

## Methods
| __init__ (self)
| __init__ (self, Marble.GeoDataAbstractView other)
Marble.GeoDataAbstractView | copy (self)
| setTimeSpan (self, Marble.GeoDataTimeSpan timeSpan)
| setTimeStamp (self, Marble.GeoDataTimeStamp timeStamp)
Marble.GeoDataTimeSpan | timeSpan (self)
Marble.GeoDataTimeStamp | timeStamp (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataAbstractView | other
| ) |  |  |

Marble.GeoDataAbstractView copy | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

setTimeSpan | ( | self, |
|  | Marble.GeoDataTimeSpan | timeSpan
| ) |  |  |

setTimeStamp | ( | self, |
|  | Marble.GeoDataTimeStamp | timeStamp
| ) |  |  |

Marble.GeoDataTimeSpan timeSpan | ( |  | self ) |

Marble.GeoDataTimeStamp timeStamp | ( |  | self ) |